Get a team
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/teams/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/teams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{controlPlaneURL}/api/svc/v1/teams/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{controlPlaneURL}/api/svc/v1/teams/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{controlPlaneURL}/api/svc/v1/teams/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{controlPlaneURL}/api/svc/v1/teams/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"members": [
"<string>"
],
"ownedBy": {
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true,
"scimExternalId": "<string>"
},
"roles": [
"<string>"
],
"topMembers": [
"<string>"
],
"topManagers": [
"<string>"
],
"totalMemberCount": 123,
"totalManagerCount": 123
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Teams
Get a team
Get a single team by its ID. Set includeMembers=false to omit live members, or includeManagers=false to omit live managers.
GET
/
api
/
svc
/
v1
/
teams
/
{id}
Get a team
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/teams/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/teams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{controlPlaneURL}/api/svc/v1/teams/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{controlPlaneURL}/api/svc/v1/teams/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{controlPlaneURL}/api/svc/v1/teams/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{controlPlaneURL}/api/svc/v1/teams/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"managers": [
"<string>"
],
"members": [
"<string>"
],
"ownedBy": {
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true,
"scimExternalId": "<string>"
},
"roles": [
"<string>"
],
"topMembers": [
"<string>"
],
"topManagers": [
"<string>"
],
"totalMemberCount": 123,
"totalManagerCount": 123
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Authorizations
jwtjwt
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
System-generated team ID.
Example:
"jqfwg345gi25n5ju2yz5iz6m"
Query Parameters
Whether to include live team members in the response. Defaults to true when omitted. Set to false to omit members.
Whether to include live team managers in the response. Defaults to true when omitted. Set to false to omit managers.
Response
The team with the given ID.
The requested team.
Show child attributes
Show child attributes
Was this page helpful?